Cloud Alerts

Create alert

post/triggers/

Create a Cloud Alert that watches a metric on a server and notifies you when it crosses your threshold.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Request body

application/jsonRequired
project_id*integer
name*string
description?string | null
target_type*TriggerTargetType
Value in"vps""baremetal""availability_group""object_storage_bucket""organization"
target_id*string
metric_type*TriggerMetricType
Value in"cpu""ram""disk""network_in""network_out""storage_size_gb""storage_egress_gb_month""storage_error_rate_5xx""storage_error_rate_403""storage_cost_month"
operator*TriggerOperator
Value in"gt""lt""gte""lte""eq"
threshold*number
duration_seconds?integer
Default300
cooldown_seconds?integer
Default600
actions*array<TriggerActionCreate>
Properties (5)
action_type*TriggerActionType
Value in"notify""destroy_vps""create_vps"
notificator_id?string | null

Notificator ID. Required for the notify action.

config?record<string, any> | null

Required for the create_vps action: name, template_name, plan_name and location_name.

order?integer
Default0
enabled?boolean
Defaulttrue

Responses

Successful Response

application/json

id*string
project_id*integer
name*string
description*string | null
target_type*TriggerTargetType
Value in"vps""baremetal""availability_group""object_storage_bucket""organization"
target_id*string
target_name?string | null
metric_type*TriggerMetricType
Value in"cpu""ram""disk""network_in""network_out""storage_size_gb""storage_egress_gb_month""storage_error_rate_5xx""storage_error_rate_403""storage_cost_month"
operator*TriggerOperator
Value in"gt""lt""gte""lte""eq"
threshold*number
duration_seconds*integer
cooldown_seconds*integer
status*TriggerStatus
Value in"enabled""disabled""triggered""resolved"
last_triggered_at*string | null
Formatdate-time
last_resolved_at*string | null
Formatdate-time
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
actions?array<TriggerActionOut>
Properties (7)
id*string
action_type*TriggerActionType
Value in"notify""destroy_vps""create_vps"
notificator_id*string | null
config*record<string, any> | null
order*integer
enabled*boolean
created_at*string
Formatdate-time